Bug 248110 - Add more device IDs to support ATI SB700 SATA controller completely
Summary: Add more device IDs to support ATI SB700 SATA controller completely
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Prarit Bhargava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-13 10:43 UTC by Shane Huang
Modified: 2007-11-30 22:12 UTC (History)
4 users (show)

Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 22:10:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shane Huang 2007-07-13 10:43:13 UTC
+++ This bug was initially created as a clone of Bug #248108 +++

Description of problem:
Fedora7 can NOT be installed on ATI SB700 when set "onchip SATA type"
in BIOS into "AHCI" mode. There are four SATA related device IDs in SB700:
0x4390, SATA in IDE mode
0x4391, SATA in AHCI mode
0x4392, SATA in RAID mode with Promise non-Raid5 driver
0x4392, SATA in RAID mode with Promise Raid5 driver
This is different from SB600, there is only one SATA Device ID in SB600,
which is 0x4380.

In the previous SATA patch to SB700(bug# 244616), we only add 0x4390.
This patch provide the other three device IDs, otherwise Linux
can NOT be installed when set SATA into "AHCI" mode in BIOS.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. Set "onchip SATA type" in BIOS into "AHCI" mode.
2. Install Fedora7
  
Actual results:
Failed to install this distribution!

Expected results:
Fedora7 should be installed on "AHCI" mode.

Additional info:
We have sent this patch to kernel.org, Will post the upstream commit
here ASAP when it is accepted.

-- Additional comment from shane.huang@amd.com on 2007-07-13 06:29 EST --
Created an attachment (id=159147)
SB700 SATA related Device IDs


-- Additional comment from shane.huang@amd.com on 2007-07-13 06:37 EST --
Can you add this patch into Fedora8 before it's release? Thanks

Comment 1 Prarit Bhargava 2007-07-13 12:04:34 UTC
Push this upstream and if it's accepted, it will automatically be in F8.

P.

Comment 2 Chuck Ebbert 2007-07-13 22:13:55 UTC
Patch in devel/rawhide now, still not in Fedora 7.
(F7 needs all four IDs added.)

Comment 3 Chuck Ebbert 2007-07-13 22:28:19 UTC
In Fedora 7 CVS, first ID was there so this patch worked..

Comment 4 Shane Huang 2007-07-23 01:12:41 UTC
upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-
2.6.git;a=commit;h=badc2341579511a247f5993865aa68379e283c5c


Note You need to log in before you can comment on or make changes to this bug.